<template>
  <v-card>
    <v-card-title>Docker Settings</v-card-title>
    <v-card-text>
      <v-form ref="dockerSettingsForm">
        <!-- Registry URL -->
        <v-text-field v-model="dockerSettings.registryUrl" label="Registry URL" :rules="urlRules"></v-text-field>

        <!-- Default Network -->
        <v-text-field v-model="dockerSettings.network" label="Default Network"></v-text-field>

        <!-- Container Defaults -->
        <v-subheader>Container Defaults</v-subheader>
        <v-checkbox v-model="dockerSettings.autoRestart" label="Auto-restart Containers"></v-checkbox>
        <v-text-field v-model="dockerSettings.defaultImage" label="Default Image"></v-text-field>
        
        <!-- Resource Limits -->
        <v-subheader>Resource Limits</v-subheader>
        <v-text-field v-model="dockerSettings.cpuLimit" label="CPU Limit (%)"></v-text-field>
        <v-text-field v-model="dockerSettings.memoryLimit" label="Memory Limit (MB)"></v-text-field>

        <!-- Docker Compose Defaults -->
        <v-subheader>Docker Compose Defaults</v-subheader>
        <v-textarea v-model="dockerSettings.composeTemplate" label="Compose File Template"></v-textarea>

        <!-- Additional Docker settings here -->
      </v-form>
    </v-card-text>
    <v-card-actions>
      <v-btn color="primary" @click="saveDockerSettings">Save</v-btn>
    </v-card-actions>
  </v-card>
</template>

<script>
export default {
  data() {
    return {
      dockerSettings: {
        registryUrl: '',
        network: '',
        autoRestart: false,
        defaultImage: '',
        cpuLimit: '',
        memoryLimit: '',
        composeTemplate: ''
      },
      urlRules: [
        v => !!v || 'URL is required',
        v => /^(http|https):\/\/[^ "]+$/.test(v) || 'URL must be valid',
      ]
    };
  },
  methods: {
    saveDockerSettings() {
      // Implement the logic to save Docker settings
    }
  }
};
</script>

<style scoped>
/* Custom styles */
</style>
